Get the RCS for Business-related capabilities of a user.

The returned payload specifies whether a user can be reached with RCS for Business and, if so, which RCS for Business features the user supports.

Error handling: A 404 NOT_FOUND error is returned when the user cannot be reached with RCS for Business. This includes multiple scenarios: (1) The user's device does not support RCS or has RCS disabled. (2) The user is on a mobile network where the agent is not launched or where RCS traffic is not enabled. (3) An unlaunched agent requests the capabilities of a user who is not a tester.

### HTTP request

`GET https://rcsbusinessmessaging.googleapis.com/v1/{name=phones/*}/capabilities`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` This field resolves to "phones/{E.164}/capabilities", where {E.164} is the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting endpoint is <https://rcsbusinessmessaging.googleapis.com/v1/phones/+12223334444/capabilities>. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` The unique ID of the request, assigned by the agent. This must be a UUID, as defined in <https://www.rfc-editor.org/info/rfc9562>. If the request ID matches an ID that the agent used for a previous request, the RCS for Business platform ignores the new request. |
| `agentId` | `string` Required. The agent's unique identifier. |

### Request body

The request body must be empty.

### Response body

List of supported features by the user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "features": [ enum (`https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones/getCapabilities#Feature`) ], "carrier": string } ``` |

| Fields ||
|---|---|
| `features[]` | ``enum (`https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/phones/getCapabilities#Feature`)`` List of RCS for Business features that this device supports. |
| `carrier` | `string` Output only. The carrier information that the user's phone number belongs to, according to Google RCS backends. Currently, this field is only populated for US phone numbers. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/rcsbusinessmessaging`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## Feature

Types of RCS for Business features that the user supports.

| Enums ||
|---|---|
| `FEATURE_UNSPECIFIED` | Not specified. |
| `RICHCARD_STANDALONE` | Standalone rich cards. |
| `RICHCARD_CAROUSEL` | Carousel of rich cards. |
| `ACTION_CREATE_CALENDAR_EVENT` | Suggested action to create a calendar event. |
| `ACTION_DIAL` | Suggested action to dial a number. |
| `ACTION_OPEN_URL` | Suggested action to open a URL in browser. |
| `ACTION_SHARE_LOCATION` | Suggested action to share a location. |
| `ACTION_VIEW_LOCATION` | Suggested action to view a location in a map app. |
| `ACTION_OPEN_URL_IN_WEBVIEW` | Suggested action to open a URL in webview. |